VisualEditor: "Thumb" images should display in wiki default thumb size
Closed, ResolvedPublic

Description

Screenshot of page in view mode

Show thumbnail in user preference size in edit mode.

  1. Set user preference to 300 pixel: "Thumbnail size:" of https://de.wikipedia.org/wiki/Spezial:Einstellungen?uselang=en#mw-prefsection-rendering
  1. Edit page with image included as standard thumb.

Thumbnail is shown in a smaller size instead of the user preference size.


Version: unspecified
Severity: normal
URL: https://de.wikipedia.org/wiki/Benutzer:Raymond/thumb
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=50379

Attached:

bzimport set Reference to bz47804.
Raymond created this task.Via LegacyApr 28 2013, 9:48 PM
Raymond added a comment.Via ConduitApr 28 2013, 9:49 PM

Created attachment 12197
Screenshot in edit mode with smaller thumbnail

Attached:

Inez added a comment.Via ConduitMay 10 2013, 8:12 PM

Confirmed with Gabriel (Parsoid team) that this [should|is going to be] solved in VE.

Jdforrester-WMF added a comment.Via ConduitOct 1 2013, 10:28 PM
  • Bug 52487 has been marked as a duplicate of this bug. ***
Thryduulf added a comment.Via ConduitOct 1 2013, 10:47 PM

User preference and wiki-default sizes specify the maximum width of an image, regardless of dimensions or aspect ratio, but VE scales the images to fit in a 190px by 212px box.

This means that some images, particularly tall thin ones such as full-length portraits, get rendered at very different sizes in VE edit mode to view mode, with consequential impact on the layout of surrounding content.

Elitre added a comment.Via ConduitJan 6 2014, 2:19 PM

French Wikipedians would like VE to follow the local convention that thumbnails are only displayed with the "upright" option (https://en.wikipedia.org/wiki/Wikipedia:Extended_image_syntax#Size).

gerritbot added a comment.Via ConduitFeb 20 2014, 5:18 AM

Change 114420 had a related patch set uploaded by Mooeypoo:
[wip] Set up wiki-default image size

https://gerrit.wikimedia.org/r/114420

gerritbot added a comment.Via ConduitFeb 26 2014, 8:31 PM

Change 114420 merged by jenkins-bot:
Set up wiki-default image size

https://gerrit.wikimedia.org/r/114420

Jdforrester-WMF added a comment.Via ConduitFeb 26 2014, 8:41 PM

We have now implemented displaying default images in local wiki default size, and explicitly *not* user-preference size.

This is because the editing surface should encourage users to make the right kind of edits for all users, not just themselves. If a page has an image at default and a second at 300px, and a user with a default of 400px resizes one of the images to fit in with the other, a user with a default of 200px (e.g. an anonymous user) will get a different experience and may try to revert (or the change will have a different effect to what was intended).

I'm therefore re-titling this bug to just refer to local wiki size, and marking as FIXED. Happy to discuss further.

Add Comment